Moose
=====

A Ruby library for making HTTP requests to JSON APIs.

Setup
-----

```ruby
gem 'moose'
```

```
bundle
```

```ruby
class YourClass
  include Moose
end
```

API
---

The `Moose` module adds these instance methods to the class:

```ruby
get 'https://api.example.com/v1/resource', 'options'
put 'https://api.example.com/v1/resource', { data: 'hash' }, 'options'
```

Examples
--------

```ruby
class Trello
  include Moose

  def add_to_organization(name, email)
    put "organizations/#{name}/members", email: email
  end

  private

  def url_for(endpoint)
    "https://api.trello.com/1/#{endpoint}?key=#{ENV['KEY']}"
  end
end
```
